petsc-3.7.7 2017-09-25
Report Typos and Errors

# VecScatterView

Views a vector scatter context.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecScatterView(VecScatter ctx,PetscViewer viewer)

Collective on VecScatter

### Input Parameters

| ctx | - the scatter context
| viewer | - the viewer for displaying the context

C@*/ PetscErrorCode VecScatterView(VecScatter ctx,PetscViewer viewer) { PetscErrorCode ierr;

PetscFunctionBegin; PetscValidHeaderSpecific(ctx,VEC_SCATTER_CLASSID,1); if (!viewer) { ierr = PetscViewerASCIIGetStdout(PetscObjectComm((PetscObject)ctx),&viewer);CHKERRQ(ierr); } PetscValidHeaderSpecific(viewer,PETSC_VIEWER_CLASSID,2); if (ctx->ops->view) { ierr = (*ctx->ops->view)(ctx,viewer);CHKERRQ(ierr); } PetscFunctionReturn(0); }

#undef __FUNCT__ #define __FUNCT__ "VecScatterRemap" /*@C VecScatterRemap - Remaps the "from" and "to" indices in a vector scatter context. FOR EXPERTS ONLY!

Collective on VecScatter

### Input Parameters

| scat | - vector scatter context
| from | - remapping for "from" indices (may be NULL)
| to | - remapping for "to" indices (may be NULL)

Notes: In the parallel case the todata is actually the indices from which the data is TAKEN! The from stuff is where the data is finally put. This is VERY VERY confusing!

In the sequential case the todata is the indices where the data is put and the fromdata is where it is taken from. This is backwards from the paralllel case! CRY! CRY! CRY!

Level:intermediate
Location:src/vec/vec/utils/vscat.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages